Subject: [AAA-WG]: I looked at: Re: draft-ietf-aaa-diameter-mobileip (fwd)

From: Bernard Aboba <[email-masked]>
Date: Wed, 12 Nov 2003 08:59:08 -0800 (PST)

---------- Forwarded message ----------
Date: Wed, 12 Nov 2003 12:02:36 -0500
From: Russ Housley <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Subject: Fwd: I looked at: Re: draft-ietf-aaa-diameter-mobileip

Bernard:

I asked Radia to look at this document -- a secdir review.

Can you help me understand the big picture?  If her assessment is correct,
then the points I made in my slides on key management are violated.  Help ...

Russ

>Date: Wed, 12 Nov 2003 10:51:11 -0600
>From: Radia Perlman <[email-masked]>
>Subject: I looked at: Re: draft-ietf-aaa-diameter-mobileip
>To: Russ Housley <[email-masked]>
>Cc: [email-masked]
>
>The document is incomprehensible. To my amazement, after reading it n
>times, I was
>starting to understand some of it, and found some fishy things. I tracked
>down the 1st
>author (Pat Calhoun), and it was somewhat distressing that he also did not
>understand
>the document.
>
>Basically, the AAA guys have gone off and invented all sorts of things,
>and security people
>haven't been paying attention because nobody wanted to wade through all
>the muck of
>new terminology and badly written documents.
>
> From my current understanding, the purpose of this document is to allow a
> Sprint customer
>to roam into MCI territory and have MCI be able to bill Sprint for the usage.
>
>There are a bunch of access points, that don't have user information (like
>Radius), but there
>is a AAA database at Sprint, and at MCI, etc. When a user connects to an
>access point, the
>access point gets the user's information from the AAA database. The AAA
>server acts like
>the KDC in Kerberos, and invents a session key to give
>  to the access point and the user.
>This is according to Pat, who I caught in the hall. The document implies
>that instead of
>a Kerberos-like protocol where the session key is encrypted in a
>KDC-endpoint shared
>secret, the keys are sent over TLS sessions. So in the case of
>inter-realm, the intermediaries
>would see the keys. When I pointed out that the document did not imply it
>worked the way
>Pat was explaining it to me, Pat was confused and said he didn't know why
>the document said
>that...that it was a long time since he saw the document, and I should
>instead try to talk
>to the 2nd author.
>
>I also asked why they hadn't actually used Kerberos, and Pat had no idea
>how Kerberos worked,
>which is another red flag...that people design security handshakes without
>knowing what's out there.
>Maybe they did something correct, who knows. SUpposedly that protocol is
>described in the
>base diameter spec. I will attempt to look at it.
>
>Anyway, just giving you an intermediate state...I will att
>empt to do some more research on this.
>And don't yell at Pat for anything I said...I'm glad he cooperated with me
>to the extent of explaining
>what he could, and I might need to ask him more questions, so don't get
>him mad at me.
>
>Radia